com.intellectualcrafters.jnbt

## Class Tag

- java.lang.Object
- - com.intellectualcrafters.jnbt.Tag

- Direct Known Subclasses:
    ByteArrayTag, ByteTag, CompoundTag, DoubleTag, EndTag, FloatTag, IntArrayTag, IntTag, ListTag, LongTag, ShortTag, StringTag

      public abstract class Tag
      extends java.lang.Object

  Represents a NBT tag.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name of this tag.
    `abstract java.lang.Object` | `getValue()` Gets the value of this tag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public final java.lang.String getName()

      Gets the name of this tag.
      Returns:
        the name of this tag

    - #### getValue

          public abstract java.lang.Object getValue()

      Gets the value of this tag.
      Returns:
        the value